﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Net.NetworkInformation;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Cruiser.Entities
{
    public class EntityAdvancedCruiser : EntityCruiser
    {
        public Color AdditionalColor { get; private set; }
        public bool HelicopterPad { get; private set; }
        public bool Coating { get; private set; }
        public EntityAdvancedCruiser(int speed, double weight, Color bodyColor, Color
    additionalColor, bool helicopterPad, bool coating) : base(speed, weight, bodyColor)
        {
            AdditionalColor = additionalColor;
            HelicopterPad = helicopterPad;
            Coating = coating;
        }
    }
}