﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Cruiser.MovementStrategy;

namespace Cruiser.MovementStrategy
{
    public interface IMoveableObject
    {
        ObjectParameters? GetObjectPosition { get; }
        int GetStep { get; }
        bool CheckCanMove(Direction direction);
        void MoveObject(Direction direction);
    }
}